Changes between Version 12 and Version 13 of FrequentlyAskedQuestions

Show
Ignore:
Timestamp:
10/12/09 17:25:24 (5 years ago)
Author:
kowey (IP: 194.81.199.50)
Comment:

yay, mystery solved!

Legend:

Unmodified
Added
Removed
Modified
  • FrequentlyAskedQuestions

    v12 v13  
    2424  * '''Workaround''': 2009-02-14: I don't know the proper solution to this yet, but I found that it helps to {{{ghc --make Setup}}} and then call {{{./Setup}}} instead of runhaskell Setup 
    2525 
    26 == Running GenI == 
     26== Running GenI for the first time == 
    2727 
    2828 1. I get this error when I run GenI (wxHaskell 0.11 ; wxWidgets 2.8), and GenI refuses to load 
     
    5050geni: relocation error: geni: symbol _ZTV13wxGraphicsPen, version WXU_2.8 not defined in file libwx_gtk2u_core-2.8.so.0 with link time reference 
    5151}}} 
    52   * '''Workaround''' : 2009-10-12 try building wxWidgets from source (be sure to enable a Unicode build and also ensure that the wx-config used is the one that corresponds to this.  I really don't know what's the cause of this!  On some Ubuntu 9.04 machines, the stock wxWidgets works just fine.  But for some reason, the same is not the case :-( 
    53  
     52  * '''Solution''' : 2009-10-12 this indicates that you're dynamically linking against a different version of wxWidgets than the one you compiled wxHaskell against.  Check your .bash_profile (or the equivalent .cshrc file) to make sure you don't have any stray LD_LIBRARY_PATH environment variables pointing to an older wxWidgets 
    5453== How to do cool things == 
    5554